The following data dictionary includes all the essential information you will need to integrate with our Real Dental Attachments API with Image Intelligence and serves as a ready reference source should you encounter a problem. It is intended to support developers, analysts and stakeholders in understanding the structure, usage, and expected values of the data exchanged through the system.
Use this data dictionary:
- As a reference when integrating with or troubleshooting the API/data interface.
- Ensure all required fields are populated when constructing requests.
- Refer to the error codes section for guidance on resolving issues.
NOTE
Please note that our APIs are private and secure, and require unique credentials to generate a Bearer token and gain access to. Please (generate a Bearer token based on your API environment) to obtain access to our APIs.
URLs
| Sandbox | Production |
|---|---|
Generate Bearer token — https://sandbox-apigw.optum.com/apip/auth/sntl/v1/tokenHealth check — https://sandbox-apigw.optum.com/dental/imageintelligence/v1/healthcheckGet Status and Results of a Previously Submitted Transaction — https://sandbox-apigw.optum.com/dental/imageintelligence/v1/transactions/{id} | Generate Bearer token — https://apigw.optum.com/apip/auth/sntl/v1/tokenHealth check — https://apigw.optum.com/dental/imageintelligence/v1/healthcheckGet Status and Results of a Previously Submitted Transaction — https://apigw.optum.com/dental/imageintelligence/v1/transactions/{id} |
Query examples
Provides example queries or API requests to illustrate usage and expected formats; useful for developers and testers to understand expected formats and usage patterns.
Request body
Defines the input parameters required for API calls or data queries. Includes field names, data types, required/optional status, and descriptions.
GET /dental/imageintelligence/v1/transactions/69a1b7d0b420ee8459a11f0f
Parameters
| Parameter | Description |
|---|---|
id | The transaction ID generated using the Create Attachments by Uploading Documents and Enabling Image Intelligence endpoint. See Dental Attachments request example and response example (search for "imageIntelligenceTransactionId", for example, "imageIntelligenceTransactionId": "69122940fab78c16744c5cc2"). |
Response body
Lists the fields returned in the response payload. Includes field names, data types, formats, and descriptions.
{
"transactionId": "69a1b7d0b420ee8459a11f0f",
"transactionStatus": "Succeeded",
"results": {
"serviceLines": [
{
"procedureCode": "D2710",
"score": 6.01158301158301,
"toothNumbers": [
"28"
],
"attributes": [
{
"name": "SignificantFurcation",
"value": "N",
"confidence": 0.64
},
{
"name": "ToothNumber",
"value": "28",
"confidence": 1.0
},
{
"name": "RemainingTooth",
"value": ">50",
"confidence": 0.71
},
{
"name": "RestorationType",
"value": "Filling",
"confidence": 0.88
},
{
"name": "RootCanalStatus",
"value": "N",
"confidence": 0.99
},
{
"name": "CariesDecayLevel",
"value": "Enamel",
"confidence": 0.93
},
{
"name": "CrownToRootRatio",
"value": "<1:1",
"confidence": 0.86
},
{
"name": "AttachmentType",
"value": "Periapical",
"confidence": 0.99
},
{
"name": "BoneLoss",
"value": "40",
"confidence": 0.77
}
],
"files": [
{
"fileId": "99662b40-ca46-4e7c-b337-ce2115002e2f",
"dimensions": {
"width": 4095,
"height": 3172
},
"images": [
{
"index": 1,
"boundingBox": {
"top": 33,
"left": 52,
"width": 4043,
"height": 3120
},
"attributes": [
{
"name": "ToothNumber",
"value": "28",
"confidence": 1.0,
"annotations": {
"polygon": [
[
{
"x": 120,
"y": 210
},
{
"x": 130,
"y": 215
},
{
"x": 135,
"y": 225
},
{
"x": 125,
"y": 230
}
]
]
}
},
{
"name": "CariesDecayLevel",
"value": "Enamel",
"confidence": 0.93,
"annotations": {
"polygon": [
[
{
"x": 120,
"y": 210
},
{
"x": 130,
"y": 215
},
{
"x": 135,
"y": 225
},
{
"x": 125,
"y": 230
}
]
]
}
},
{
"name": "RestorationType",
"value": "Filling",
"confidence": 0.88,
"annotations": null
},
{
"name": "BoneLoss",
"value": "40",
"confidence": 0.77,
"annotations": null
},
{
"name": "RootCanalStatus",
"value": "N",
"confidence": 0.99,
"annotations": null
},
{
"name": "SignificantFurcation",
"value": "N",
"confidence": 0.64,
"annotations": null
},
{
"name": "RemainingTooth",
"value": ">50",
"confidence": 0.71,
"annotations": null
},
{
"name": "CrownToRootRatio",
"value": "<1:1",
"confidence": 0.86,
"annotations": null
},
{
"name": "AttachmentType",
"value": "Periapical",
"confidence": 0.99,
"annotations": null
}
]
}
]
}
]
}
]
}
}
API Setup
For information about, setting your API test environment, please see API Setup.
Subscribe to live and mock data testing in sandbox
Please see Subscribe to live and mock data testing in sandbox.
Integrate our APIs in production environment
Please see Integrate our APIs in production environment.